Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.value
Class UntypedAtomicValue

    java.lang.Object
      org.exist.xquery.value.AtomicValue
          org.exist.xquery.value.UntypedAtomicValue

All Implemented Interfaces:
  java.lang.Comparable, Indexable, Item, Sequence

public class UntypedAtomicValue
extends AtomicValue

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Field Summary

Fields inherited from class org.exist.xquery.value.AtomicValue
`EMPTY_VALUE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`UntypedAtomicValue(java.lang.String value)`

Method Summary
`int` | `compareTo(java.text.Collator collator, AtomicValue other)`
`boolean` | `compareTo(java.text.Collator collator, int operator, AtomicValue other)`
`boolean` | `contains(java.text.Collator collator, AtomicValue other)` Compares this atomic value to another.
`int` | `conversionPreference(java.lang.Class javaClass)` Returns a preference indicator, indicating the preference of a value to be converted into the given Java class.
`AtomicValue` | `convertTo(int requiredType)` Convert this item into an atomic value, whose type corresponds to the specified target type.
`boolean` | `effectiveBooleanValue()` Get the effective boolean value of this sequence.
`boolean` | `endsWith(java.text.Collator collator, AtomicValue other)` Compares this atomic value to another.
`java.lang.String` | `getStringValue()` Return the string value of this item (see the definition of string value in XPath).
`int` | `getType()` Return the type of this item according to the type constants defined in class `Type`.
`AtomicValue` | `max(java.text.Collator collator, AtomicValue other)`
`AtomicValue` | `min(java.text.Collator collator, AtomicValue other)`
`boolean` | `startsWith(java.text.Collator collator, AtomicValue other)` Compares this atomic value to another.
`java.lang.Object` | `toJavaObject(java.lang.Class target)` Convert the value into an instance of the specified Java class.

Methods inherited from class org.exist.xquery.value.AtomicValue
`add, addAll, atomize, clearContext, compareTo, copyTo, deserialize, dump, getCardinality, getDocumentSet, getItemType, getLength, hasMany, hasOne, isCached, isEmpty, isPersistentSet, itemAt, iterate, promote, removeDuplicates, serialize, serializeValue, setIsCached, setSelfAsContext, toNodeSet, toSAX, toSequence, toString, unorderedIterator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UntypedAtomicValue

    public UntypedAtomicValue(java.lang.String value)

Method Detail

### getType

    public int getType()

  Description copied from interface: `Item`
  Return the type of this item according to the type constants defined in class `Type`.

  Specified by:
    `getType` in interface `Item`
  Overrides:
    `getType` in class `AtomicValue`

### getStringValue

    public java.lang.String getStringValue()
                                    throws XPathException

  Description copied from interface: `Item`
  Return the string value of this item (see the definition of string value in XPath).

  Specified by:
    `getStringValue` in interface `Item`
  Specified by:
    `getStringValue` in class `AtomicValue`
  Throws:
    `XPathException`

### convertTo

    public AtomicValue convertTo(int requiredType)
                          throws XPathException

  Description copied from interface: `Item`
  Convert this item into an atomic value, whose type corresponds to the specified target type. requiredType should be one of the type constants defined in `Type`. An `XPathException` is thrown if the conversion is impossible.

  Specified by:
    `convertTo` in interface `Item`
  Specified by:
    `convertTo` in class `AtomicValue`
  Throws:
    `XPathException`

### compareTo

    public boolean compareTo(java.text.Collator collator,
                             int operator,
                             AtomicValue other)
                      throws XPathException

  Specified by:
    `compareTo` in class `AtomicValue`
  Throws:
    `XPathException`

### compareTo

    public int compareTo(java.text.Collator collator,
                         AtomicValue other)
                  throws XPathException

  Specified by:
    `compareTo` in class `AtomicValue`
  Throws:
    `XPathException`

### max

    public AtomicValue max(java.text.Collator collator,
                           AtomicValue other)
                    throws XPathException

  Specified by:
    `max` in class `AtomicValue`
  Throws:
    `XPathException`

### min

    public AtomicValue min(java.text.Collator collator,
                           AtomicValue other)
                    throws XPathException

  Specified by:
    `min` in class `AtomicValue`
  Throws:
    `XPathException`

### startsWith

    public boolean startsWith(java.text.Collator collator,
                              AtomicValue other)
                       throws XPathException

  Description copied from class: `AtomicValue`
  Compares this atomic value to another. Returns true if the current value is of type string and its value starts with the string value of the other value.

  Overrides:
    `startsWith` in class `AtomicValue`
  Parameters:
    `collator` - Collator used for string comparison.
    `other` -
  Throws:
    `XPathException` - if this is not a string.

### endsWith

    public boolean endsWith(java.text.Collator collator,
                            AtomicValue other)
                     throws XPathException

  Description copied from class: `AtomicValue`
  Compares this atomic value to another. Returns true if the current value is of type string and its value ends with the string value of the other value.

  Overrides:
    `endsWith` in class `AtomicValue`
  Parameters:
    `collator` - Collator used for string comparison.
    `other` -
  Throws:
    `XPathException` - if this is not a string.

### contains

    public boolean contains(java.text.Collator collator,
                            AtomicValue other)
                     throws XPathException

  Description copied from class: `AtomicValue`
  Compares this atomic value to another. Returns true if the current value is of type string and its value contains the string value of the other value.

  Overrides:
    `contains` in class `AtomicValue`
  Parameters:
    `collator` - Collator used for string comparison.
    `other` -
  Throws:
    `XPathException` - if this is not a string.

### effectiveBooleanValue

    public boolean effectiveBooleanValue()
                                  throws XPathException

  Description copied from interface: `Sequence`
  Get the effective boolean value of this sequence. Will be false if the sequence is empty, true otherwise.

  Specified by:
    `effectiveBooleanValue` in interface `Sequence`
  Overrides:
    `effectiveBooleanValue` in class `AtomicValue`
  Throws:
    `XPathException`

### conversionPreference

    public int conversionPreference(java.lang.Class javaClass)

  Description copied from interface: `Sequence`
  Returns a preference indicator, indicating the preference of a value to be converted into the given Java class. Low numbers mean that the value can be easily converted into the given class.

  Specified by:
    `conversionPreference` in interface `Item`
  Overrides:
    `conversionPreference` in class `AtomicValue`

### toJavaObject

    public java.lang.Object toJavaObject(java.lang.Class target)
                                  throws XPathException

  Description copied from interface: `Sequence`
  Convert the value into an instance of the specified Java class.

  Specified by:
    `toJavaObject` in interface `Item`
  Overrides:
    `toJavaObject` in class `AtomicValue`
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.